#!/bin/sh
# Copyright 2014  Lars Wirzenius
# Copyright 2014  Jan Niggemann
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=

set -eu

OUTPUT="$1"
TITLE="$2"
AUTHOR="$3"
VERSION="$4"
TRANS_DE="$5"
shift 5

cat > 000.mdwn <<EOF
% $TITLE
% $AUTHOR
  $TRANS_DE
% $VERSION
EOF

pandoc  -H ../obnam.css --smart --toc --chapters --number-sections \
    --standalone --self-contained -V lang=german -V geometry:a4paper \
    -o "$OUTPUT" 000.mdwn "$@"
rm -f 000.mdwn
